Множественные уязвимости в SeedDMS

Дата публикации:
19.03.2014
Дата изменения:
19.03.2014
Всего просмотров:
523
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
2
CVSSv2 рейтинг:
(AV:N/AC:L/Au:N/C:P/I:N/A:P/E:U/RL:OF/RC:C) = Base:6.4/Temporal:4.7
(AV:N/AC:M/Au:N/C:P/I:N/A:P/E:U/RL:OF/RC:C) = Base:5.8/Temporal:4.3
CVE ID:
CVE-2014-2278
CVE-2014-2280
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
SeedDMS 4.x
Уязвимые версии: SeedDMS 4.3.3, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и выполнить произвольный код на целевой системе.

1. Уязвимость существует из-за недостаточной обработки входных данных при сохранении загруженных файлов в периметре HTTP POST "partitionIndex" в сценарии /op/op.AddFile2.php. Удаленный пользователь может загрузить вредоносный PHP скрипт и выполнить произвольный код PHP.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре HTTP GET "query" в сценарии /op/op.Search.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: http://www.seeddms.org/index.php?id=2

Решение: Установите последнюю версию 4.3.4 с сайта производителя.

Ссылки: http://archives.neohapsis.com/archives/bugtraq/2014-03/0101.html

или введите имя

CAPTCHA